<?php

namespace Database\Seeders;

use App\Models\User;
use App\Models\Utility;
use Illuminate\Database\Seeder;
use Spatie\Permission\Models\Permission;
use Spatie\Permission\Models\Role;
use Illuminate\Support\Facades\Hash;
use App\Models\GenerateOfferLetter;
use App\Models\JoiningLetter;
use App\Models\ExperienceCertificate;
use App\Models\NOC;
use DB;


class UsersTableSeeder extends Seeder
{
    public function run()
    {
        $arrPermissions = [
            [
                "name" => "Manage User",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Create User",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Edit User",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Delete User",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Manage Role",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Create Role",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Delete Role",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Edit Role",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Manage Award",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Create Award",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Delete Award",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Edit Award",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Manage Transfer",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Create Transfer",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Delete Transfer",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Edit Transfer",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Manage Resignation",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Create Resignation",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Edit Resignation",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Delete Resignation",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Manage Travel",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Create Travel",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Edit Travel",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Delete Travel",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Manage Promotion",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Create Promotion",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Edit Promotion",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Delete Promotion",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Manage Complaint",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Create Complaint",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Edit Complaint",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Delete Complaint",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Manage Warning",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Create Warning",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Edit Warning",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Delete Warning",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Manage Termination",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Create Termination",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Edit Termination",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Delete Termination",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Manage Department",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Create Department",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Edit Department",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Delete Department",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Manage Designation",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Create Designation",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Edit Designation",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Delete Designation",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Manage Document Type",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Create Document Type",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Edit Document Type",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Delete Document Type",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Manage Branch",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Create Branch",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Edit Branch",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Delete Branch",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Manage Award Type",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Create Award Type",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Edit Award Type",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Delete Award Type",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Manage Termination Type",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Create Termination Type",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Edit Termination Type",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Delete Termination Type",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Manage Employee",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Create Employee",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Edit Employee",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Delete Employee",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Show Employee",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Manage Payslip Type",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Create Payslip Type",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Edit Payslip Type",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Delete Payslip Type",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Manage Allowance Option",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Create Allowance Option",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Edit Allowance Option",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Delete Allowance Option",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Manage Loan Option",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Create Loan Option",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Edit Loan Option",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Delete Loan Option",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Manage Deduction Option",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Create Deduction Option",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Edit Deduction Option",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Delete Deduction Option",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Manage Set Salary",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Create Set Salary",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Edit Set Salary",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Delete Set Salary",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Manage Allowance",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Create Allowance",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Edit Allowance",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Delete Allowance",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Create Commission",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Create Loan",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Create Saturation Deduction",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Create Other Payment",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Create Overtime",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Edit Commission",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Delete Commission",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Edit Loan",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Delete Loan",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Edit Saturation Deduction",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Delete Saturation Deduction",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Edit Other Payment",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Delete Other Payment",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Edit Overtime",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Delete Overtime",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Manage Pay Slip",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Create Pay Slip",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Edit Pay Slip",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Delete Pay Slip",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Manage Account List",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Create Account List",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Edit Account List",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Delete Account List",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "View Balance Account List",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Manage Payee",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Create Payee",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Edit Payee",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Delete Payee",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Manage Payer",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Create Payer",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Edit Payer",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Delete Payer",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Manage Expense Type",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Create Expense Type",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Edit Expense Type",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Delete Expense Type",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Manage Income Type",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Edit Income Type",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Delete Income Type",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Create Income Type",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Manage Payment Type",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Create Payment Type",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Edit Payment Type",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Delete Payment Type",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Manage Deposit",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Create Deposit",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Edit Deposit",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Delete Deposit",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Manage Expense",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Create Expense",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Edit Expense",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Delete Expense",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Manage Transfer Balance",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Create Transfer Balance",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Edit Transfer Balance",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Delete Transfer Balance",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Manage Event",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Create Event",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Edit Event",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Delete Event",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Manage Announcement",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Create Announcement",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Edit Announcement",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Delete Announcement",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Manage Leave Type",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Create Leave Type",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Edit Leave Type",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Delete Leave Type",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Manage Leave",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Create Leave",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Edit Leave",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Delete Leave",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Manage Meeting",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Create Meeting",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Edit Meeting",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Delete Meeting",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Manage Ticket",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Create Ticket",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Edit Ticket",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Delete Ticket",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Manage Attendance",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Create Attendance",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Edit Attendance",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Delete Attendance",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Manage Language",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Create Language",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Manage Plan",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Create Plan",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Edit Plan",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Buy Plan",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Manage System Settings",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Manage Company Settings",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Manage TimeSheet",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Create TimeSheet",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Edit TimeSheet",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Delete TimeSheet",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Manage Order",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => 'manage coupon',
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => 'create coupon',
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => 'edit coupon',
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => 'delete coupon',
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => 'Manage Assets',
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => 'Create Assets',
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => 'Edit Assets',
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => 'Delete Assets',
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => 'Manage Document',
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => 'Create Document',
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => 'Edit Document',
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => 'Delete Document',
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => 'Manage Employee Profile',
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => 'Show Employee Profile',
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => 'Manage Employee Last Login',
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => 'Manage Indicator',
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => 'Create Indicator',
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => 'Edit Indicator',
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => 'Delete Indicator',
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => 'Show Indicator',
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => 'Manage Appraisal',
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => 'Create Appraisal',
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => 'Edit Appraisal',
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => 'Delete Appraisal',
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => 'Show Appraisal',
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Manage Goal Type",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Create Goal Type",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Edit Goal Type",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Delete Goal Type",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Manage Goal Tracking",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Create Goal Tracking",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Edit Goal Tracking",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Delete Goal Tracking",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Manage Company Policy",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Create Company Policy",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Edit Company Policy",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Delete Company Policy",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Manage Trainer",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Create Trainer",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Edit Trainer",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Delete Trainer",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Show Trainer",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Manage Training",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Create Training",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Edit Training",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Delete Training",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Show Training",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Manage Training Type",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Create Training Type",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Edit Training Type",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Delete Training Type",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Manage Report",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Manage Holiday",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Create Holiday",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Edit Holiday",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Delete Holiday",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Manage Job Category",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Create Job Category",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Edit Job Category",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Delete Job Category",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Manage Job Stage",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Create Job Stage",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Edit Job Stage",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Delete Job Stage",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Manage Job",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Create Job",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Edit Job",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Delete Job",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Show Job",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Manage Job Application",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Create Job Application",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Edit Job Application",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Delete Job Application",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Show Job Application",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Move Job Application",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Add Job Application Note",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Delete Job Application Note",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Add Job Application Skill",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Manage Job OnBoard",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Manage Custom Question",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Create Custom Question",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Edit Custom Question",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Delete Custom Question",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Manage Interview Schedule",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Create Interview Schedule",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Edit Interview Schedule",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Delete Interview Schedule",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Manage Career",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Manage Competencies",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Create Competencies",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Edit Competencies",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Delete Competencies",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Manage Performance Type",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Create Performance Type",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Edit Performance Type",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Delete Performance Type",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Manage Contract Type",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Create Contract Type",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Edit Contract Type",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Delete Contract Type",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Manage Contract",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Create Contract",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Edit Contract",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Delete Contract",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Store Note",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Delete Note",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Store Comment",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Delete Comment",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Delete Attachment",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Create Webhook",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Edit Webhook",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Delete Webhook",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Manage Zoom meeting",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Create Zoom meeting",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Show Zoom meeting",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Delete Zoom meeting",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Manage Biometric Attendance",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],
            [
                "name" => "Biometric Attendance Synchronize",
                "guard_name" => "web",
                "created_at" => date('Y-m-d H:i:s'),
                "updated_at" => date('Y-m-d H:i:s'),
            ],

        ];
        Permission::insert($arrPermissions);

        // Super admin
        $superAdminRole        = Role::create(
            [
                'name' => 'super admin',
                'created_by' => 0,
            ]
        );
        $superAdminPermissions = [
            ["name" => "Manage User"],
            ["name" => "Create User"],
            ["name" => "Edit User"],
            ["name" => "Delete User"],
            ["name" => "Manage Role"],
            ["name" => "Create Role"],
            ["name" => "Delete Role"],
            ["name" => "Edit Role"],
            ["name" => "Manage Language"],
            ["name" => "Create Language"],
            ["name" => "Manage Plan"],
            ["name" => "Create Plan"],
            ["name" => "Edit Plan"],
            ["name" => "Manage System Settings"],
            ["name" => "Manage Order"],
            ["name" => 'manage coupon'],
            ["name" => 'create coupon'],
            ["name" => 'edit coupon'],
            ["name" => 'delete coupon'],
        ];

        $superAdminRole->givePermissionTo($superAdminPermissions);

        $superAdmin = User::create(
            [
                'name' => 'Super Admin',
                'email' => 'superadmin@example.com',
                'password' => Hash::make('1234'),
                'type' => 'super admin',
                'lang' => 'en',
                'avatar' => '',
                'email_verified_at' => date("Y-m-d H:i:s"),
                'created_by' => 0,
            ]
        );
        $superAdmin->assignRole($superAdminRole);

        // company
        $companyRole        = Role::create(
            [
                'name' => 'company',
                'created_by' => $superAdmin->id,
            ]
        );
        $companyPermissions = [
            ["name" => "Manage User"],
            ["name" => "Create User"],
            ["name" => "Edit User"],
            ["name" => "Delete User"],
            ["name" => "Manage Role"],
            ["name" => "Create Role"],
            ["name" => "Delete Role"],
            ["name" => "Edit Role"],
            ["name" => "Manage Award"],
            ["name" => "Create Award"],
            ["name" => "Delete Award"],
            ["name" => "Edit Award"],
            ["name" => "Manage Transfer"],
            ["name" => "Create Transfer"],
            ["name" => "Delete Transfer"],
            ["name" => "Edit Transfer"],
            ["name" => "Manage Resignation"],
            ["name" => "Create Resignation"],
            ["name" => "Edit Resignation"],
            ["name" => "Delete Resignation"],
            ["name" => "Manage Travel"],
            ["name" => "Create Travel"],
            ["name" => "Edit Travel"],
            ["name" => "Delete Travel"],
            ["name" => "Manage Promotion"],
            ["name" => "Create Promotion"],
            ["name" => "Edit Promotion"],
            ["name" => "Delete Promotion"],
            ["name" => "Manage Complaint"],
            ["name" => "Create Complaint"],
            ["name" => "Edit Complaint"],
            ["name" => "Delete Complaint"],
            ["name" => "Manage Warning"],
            ["name" => "Create Warning"],
            ["name" => "Edit Warning"],
            ["name" => "Delete Warning"],
            ["name" => "Manage Termination"],
            ["name" => "Create Termination"],
            ["name" => "Edit Termination"],
            ["name" => "Delete Termination"],
            ["name" => "Manage Department"],
            ["name" => "Create Department"],
            ["name" => "Edit Department"],
            ["name" => "Delete Department"],
            ["name" => "Manage Designation"],
            ["name" => "Create Designation"],
            ["name" => "Edit Designation"],
            ["name" => "Delete Designation"],
            ["name" => "Manage Document Type"],
            ["name" => "Create Document Type"],
            ["name" => "Edit Document Type"],
            ["name" => "Delete Document Type"],
            ["name" => "Manage Branch"],
            ["name" => "Create Branch"],
            ["name" => "Edit Branch"],
            ["name" => "Delete Branch"],
            ["name" => "Manage Award Type"],
            ["name" => "Create Award Type"],
            ["name" => "Edit Award Type"],
            ["name" => "Delete Award Type"],
            ["name" => "Manage Termination Type"],
            ["name" => "Create Termination Type"],
            ["name" => "Edit Termination Type"],
            ["name" => "Delete Termination Type"],
            ["name" => "Manage Employee"],
            ["name" => "Create Employee"],
            ["name" => "Edit Employee"],
            ["name" => "Delete Employee"],
            ["name" => "Show Employee"],
            ["name" => "Manage Payslip Type"],
            ["name" => "Create Payslip Type"],
            ["name" => "Edit Payslip Type"],
            ["name" => "Delete Payslip Type"],
            ["name" => "Manage Allowance Option"],
            ["name" => "Create Allowance Option"],
            ["name" => "Edit Allowance Option"],
            ["name" => "Delete Allowance Option"],
            ["name" => "Manage Loan Option"],
            ["name" => "Create Loan Option"],
            ["name" => "Edit Loan Option"],
            ["name" => "Delete Loan Option"],
            ["name" => "Manage Deduction Option"],
            ["name" => "Create Deduction Option"],
            ["name" => "Edit Deduction Option"],
            ["name" => "Delete Deduction Option"],
            ["name" => "Manage Set Salary"],
            ["name" => "Create Set Salary"],
            ["name" => "Edit Set Salary"],
            ["name" => "Delete Set Salary"],
            ["name" => "Manage Allowance"],
            ["name" => "Create Allowance"],
            ["name" => "Edit Allowance"],
            ["name" => "Delete Allowance"],
            ["name" => "Create Commission"],
            ["name" => "Create Loan"],
            ["name" => "Create Saturation Deduction"],
            ["name" => "Create Other Payment"],
            ["name" => "Create Overtime"],
            ["name" => "Edit Commission"],
            ["name" => "Delete Commission"],
            ["name" => "Edit Loan"],
            ["name" => "Delete Loan"],
            ["name" => "Edit Saturation Deduction"],
            ["name" => "Delete Saturation Deduction"],
            ["name" => "Edit Other Payment"],
            ["name" => "Delete Other Payment"],
            ["name" => "Edit Overtime"],
            ["name" => "Delete Overtime"],
            ["name" => "Manage Pay Slip"],
            ["name" => "Create Pay Slip"],
            ["name" => "Edit Pay Slip"],
            ["name" => "Delete Pay Slip"],
            ["name" => "Manage Account List"],
            ["name" => "Create Account List"],
            ["name" => "Edit Account List"],
            ["name" => "Delete Account List"],
            ["name" => "View Balance Account List"],
            ["name" => "Manage Payee"],
            ["name" => "Create Payee"],
            ["name" => "Edit Payee"],
            ["name" => "Delete Payee"],
            ["name" => "Manage Payer"],
            ["name" => "Create Payer"],
            ["name" => "Edit Payer"],
            ["name" => "Delete Payer"],
            ["name" => "Manage Expense Type"],
            ["name" => "Create Expense Type"],
            ["name" => "Edit Expense Type"],
            ["name" => "Delete Expense Type"],
            ["name" => "Manage Income Type"],
            ["name" => "Edit Income Type"],
            ["name" => "Delete Income Type"],
            ["name" => "Create Income Type"],
            ["name" => "Manage Payment Type"],
            ["name" => "Create Payment Type"],
            ["name" => "Edit Payment Type"],
            ["name" => "Delete Payment Type"],
            ["name" => "Manage Deposit"],
            ["name" => "Create Deposit"],
            ["name" => "Edit Deposit"],
            ["name" => "Delete Deposit"],
            ["name" => "Manage Expense"],
            ["name" => "Create Expense"],
            ["name" => "Edit Expense"],
            ["name" => "Delete Expense"],
            ["name" => "Manage Transfer Balance"],
            ["name" => "Create Transfer Balance"],
            ["name" => "Edit Transfer Balance"],
            ["name" => "Delete Transfer Balance"],
            ["name" => "Manage Event"],
            ["name" => "Create Event"],
            ["name" => "Edit Event"],
            ["name" => "Delete Event"],
            ["name" => "Manage Announcement"],
            ["name" => "Create Announcement"],
            ["name" => "Edit Announcement"],
            ["name" => "Delete Announcement"],
            ["name" => "Manage Leave Type"],
            ["name" => "Create Leave Type"],
            ["name" => "Edit Leave Type"],
            ["name" => "Delete Leave Type"],
            ["name" => "Manage Leave"],
            ["name" => "Create Leave"],
            ["name" => "Edit Leave"],
            ["name" => "Delete Leave"],
            ["name" => "Manage Meeting"],
            ["name" => "Create Meeting"],
            ["name" => "Edit Meeting"],
            ["name" => "Delete Meeting"],
            ["name" => "Manage Ticket"],
            ["name" => "Create Ticket"],
            ["name" => "Edit Ticket"],
            ["name" => "Delete Ticket"],
            ["name" => "Manage Attendance"],
            ["name" => "Create Attendance"],
            ["name" => "Edit Attendance"],
            ["name" => "Delete Attendance"],
            ["name" => "Manage Language"],
            ["name" => "Manage Plan"],
            ["name" => "Buy Plan"],
            ["name" => "Manage Company Settings"],
            ["name" => "Manage TimeSheet"],
            ["name" => "Create TimeSheet"],
            ["name" => "Edit TimeSheet"],
            ["name" => "Delete TimeSheet"],
            ["name" => "Manage Order"],
            ["name" => 'Manage Assets'],
            ["name" => 'Create Assets'],
            ["name" => 'Edit Assets'],
            ["name" => 'Delete Assets'],
            ["name" => 'Manage Document'],
            ["name" => 'Create Document'],
            ["name" => 'Edit Document'],
            ["name" => 'Delete Document'],
            ["name" => 'Manage Employee Profile'],
            ["name" => 'Show Employee Profile'],
            ["name" => 'Manage Employee Last Login'],
            ["name" => 'Manage Indicator'],
            ["name" => 'Create Indicator'],
            ["name" => 'Edit Indicator'],
            ["name" => 'Delete Indicator'],
            ["name" => 'Show Indicator'],
            ["name" => 'Manage Appraisal'],
            ["name" => 'Create Appraisal'],
            ["name" => 'Edit Appraisal'],
            ["name" => 'Delete Appraisal'],
            ["name" => 'Show Appraisal'],
            ["name" => "Manage Goal Type"],
            ["name" => "Create Goal Type"],
            ["name" => "Edit Goal Type"],
            ["name" => "Delete Goal Type"],
            ["name" => "Manage Goal Tracking"],
            ["name" => "Create Goal Tracking"],
            ["name" => "Edit Goal Tracking"],
            ["name" => "Delete Goal Tracking"],
            ["name" => "Manage Company Policy"],
            ["name" => "Create Company Policy"],
            ["name" => "Edit Company Policy"],
            ["name" => "Delete Company Policy"],
            ["name" => "Manage Trainer"],
            ["name" => "Create Trainer"],
            ["name" => "Edit Trainer"],
            ["name" => "Delete Trainer"],
            ["name" => "Show Trainer"],
            ["name" => "Manage Training"],
            ["name" => "Create Training"],
            ["name" => "Edit Training"],
            ["name" => "Delete Training"],
            ["name" => "Show Training"],
            ["name" => "Manage Training Type"],
            ["name" => "Create Training Type"],
            ["name" => "Edit Training Type"],
            ["name" => "Delete Training Type"],
            ["name" => "Manage Report"],
            ["name" => "Manage Holiday"],
            ["name" => "Create Holiday"],
            ["name" => "Edit Holiday"],
            ["name" => "Delete Holiday"],
            ["name" => "Manage Job Category"],
            ["name" => "Create Job Category"],
            ["name" => "Edit Job Category"],
            ["name" => "Delete Job Category"],
            ["name" => "Manage Job Stage"],
            ["name" => "Create Job Stage"],
            ["name" => "Edit Job Stage"],
            ["name" => "Delete Job Stage"],
            ["name" => "Manage Job"],
            ["name" => "Create Job"],
            ["name" => "Edit Job"],
            ["name" => "Delete Job"],
            ["name" => "Show Job"],
            ["name" => "Manage Job Application"],
            ["name" => "Create Job Application"],
            ["name" => "Edit Job Application"],
            ["name" => "Delete Job Application"],
            ["name" => "Show Job Application"],
            ["name" => "Move Job Application"],
            ["name" => "Add Job Application Note"],
            ["name" => "Delete Job Application Note"],
            ["name" => "Add Job Application Skill"],
            ["name" => "Manage Job OnBoard"],
            ["name" => "Manage Custom Question"],
            ["name" => "Create Custom Question"],
            ["name" => "Edit Custom Question"],
            ["name" => "Delete Custom Question"],
            ["name" => "Manage Interview Schedule"],
            ["name" => "Create Interview Schedule"],
            ["name" => "Edit Interview Schedule"],
            ["name" => "Delete Interview Schedule"],
            ["name" => "Manage Career"],
            ["name" => "Manage Competencies"],
            ["name" => "Create Competencies"],
            ["name" => "Edit Competencies"],
            ["name" => "Delete Competencies"],
            ["name" => "Manage Performance Type"],
            ["name" => "Create Performance Type"],
            ["name" => "Edit Performance Type"],
            ["name" => "Delete Performance Type"],
            ["name" => "Manage Contract Type"],
            ["name" => "Create Contract Type"],
            ["name" => "Edit Contract Type"],
            ["name" => "Delete Contract Type"],
            ["name" => "Manage Contract"],
            ["name" => "Create Contract"],
            ["name" => "Edit Contract"],
            ["name" => "Delete Contract"],
            ["name" => "Store Note"],
            ["name" => "Delete Note"],
            ["name" => "Store Comment"],
            ["name" => "Delete Comment"],
            ["name" => "Delete Attachment"],
            ["name" => "Create Webhook"],
            ["name" => "Edit Webhook"],
            ["name" => "Delete Webhook"],
            ["name" => "Manage Zoom meeting"],
            ["name" => "Create Zoom meeting"],
            ["name" => "Show Zoom meeting"],
            ["name" => "Delete Zoom meeting"],
            ["name" => "Manage Biometric Attendance"],
            ["name" => "Biometric Attendance Synchronize"],
        ];

        $companyRole->givePermissionTo($companyPermissions);
        $company = User::create(
            [
                'name' => 'company',
                'email' => 'company@example.com',
                'password' => Hash::make('1234'),
                'email_verified_at' => date("Y-m-d H:i:s"),
                'type' => 'company',
                'lang' => 'en',
                'avatar' => '',
                'plan' => 1,
                'created_by' => $superAdmin->id,
            ]
        );
        $company->assignRole($companyRole);


        // HR
        $hrRole       = Role::create(
            [
                'name' => 'hr',
                'created_by' => $company->id,
            ]
        );
        $hrPermission = [
            ["name" => "Manage Language"],
            ["name" => "Manage User"],
            ["name" => "Create User"],
            ["name" => "Edit User"],
            ["name" => "Delete User"],
            ["name" => "Manage Award"],
            ["name" => "Create Award"],
            ["name" => "Edit Award"],
            ["name" => "Delete Award"],
            ["name" => "Manage Transfer"],
            ["name" => "Create Transfer"],
            ["name" => "Edit Transfer"],
            ["name" => "Delete Transfer"],
            ["name" => "Manage Resignation"],
            ["name" => "Create Resignation"],
            ["name" => "Edit Resignation"],
            ["name" => "Delete Resignation"],
            ["name" => "Manage Travel"],
            ["name" => "Create Travel"],
            ["name" => "Edit Travel"],
            ["name" => "Delete Travel"],
            ["name" => "Manage Promotion"],
            ["name" => "Create Promotion"],
            ["name" => "Edit Promotion"],
            ["name" => "Delete Promotion"],
            ["name" => "Manage Complaint"],
            ["name" => "Create Complaint"],
            ["name" => "Edit Complaint"],
            ["name" => "Delete Complaint"],
            ["name" => "Manage Warning"],
            ["name" => "Create Warning"],
            ["name" => "Edit Warning"],
            ["name" => "Delete Warning"],
            ["name" => "Manage Termination"],
            ["name" => "Create Termination"],
            ["name" => "Edit Termination"],
            ["name" => "Delete Termination"],
            ["name" => "Manage Department"],
            ["name" => "Create Department"],
            ["name" => "Edit Department"],
            ["name" => "Delete Department"],
            ["name" => "Manage Designation"],
            ["name" => "Create Designation"],
            ["name" => "Edit Designation"],
            ["name" => "Delete Designation"],
            ["name" => "Manage Document Type"],
            ["name" => "Create Document Type"],
            ["name" => "Edit Document Type"],
            ["name" => "Delete Document Type"],
            ["name" => "Manage Branch"],
            ["name" => "Create Branch"],
            ["name" => "Edit Branch"],
            ["name" => "Delete Branch"],
            ["name" => "Manage Award Type"],
            ["name" => "Create Award Type"],
            ["name" => "Edit Award Type"],
            ["name" => "Delete Award Type"],
            ["name" => "Manage Termination Type"],
            ["name" => "Create Termination Type"],
            ["name" => "Edit Termination Type"],
            ["name" => "Delete Termination Type"],
            ["name" => "Manage Employee"],
            ["name" => "Create Employee"],
            ["name" => "Edit Employee"],
            ["name" => "Delete Employee"],
            ["name" => "Show Employee"],
            ["name" => "Manage Payslip Type"],
            ["name" => "Create Payslip Type"],
            ["name" => "Edit Payslip Type"],
            ["name" => "Delete Payslip Type"],
            ["name" => "Manage Allowance Option"],
            ["name" => "Create Allowance Option"],
            ["name" => "Edit Allowance Option"],
            ["name" => "Delete Allowance Option"],
            ["name" => "Manage Loan Option"],
            ["name" => "Create Loan Option"],
            ["name" => "Edit Loan Option"],
            ["name" => "Delete Loan Option"],
            ["name" => "Manage Deduction Option"],
            ["name" => "Create Deduction Option"],
            ["name" => "Edit Deduction Option"],
            ["name" => "Delete Deduction Option"],
            ["name" => "Manage Set Salary"],
            ["name" => "Create Set Salary"],
            ["name" => "Edit Set Salary"],
            ["name" => "Delete Set Salary"],
            ["name" => "Manage Allowance"],
            ["name" => "Create Allowance"],
            ["name" => "Edit Allowance"],
            ["name" => "Delete Allowance"],
            ["name" => "Create Commission"],
            ["name" => "Create Loan"],
            ["name" => "Create Saturation Deduction"],
            ["name" => "Create Other Payment"],
            ["name" => "Create Overtime"],
            ["name" => "Edit Commission"],
            ["name" => "Delete Commission"],
            ["name" => "Edit Loan"],
            ["name" => "Delete Loan"],
            ["name" => "Edit Saturation Deduction"],
            ["name" => "Delete Saturation Deduction"],
            ["name" => "Edit Other Payment"],
            ["name" => "Delete Other Payment"],
            ["name" => "Edit Overtime"],
            ["name" => "Delete Overtime"],
            ["name" => "Manage Pay Slip"],
            ["name" => "Create Pay Slip"],
            ["name" => "Edit Pay Slip"],
            ["name" => "Delete Pay Slip"],
            ["name" => "Manage Event"],
            ["name" => "Create Event"],
            ["name" => "Edit Event"],
            ["name" => "Delete Event"],
            ["name" => "Manage Announcement"],
            ["name" => "Create Announcement"],
            ["name" => "Edit Announcement"],
            ["name" => "Delete Announcement"],
            ["name" => "Manage Leave Type"],
            ["name" => "Create Leave Type"],
            ["name" => "Edit Leave Type"],
            ["name" => "Delete Leave Type"],
            ["name" => "Manage Leave"],
            ["name" => "Create Leave"],
            ["name" => "Edit Leave"],
            ["name" => "Delete Leave"],
            ["name" => "Manage Meeting"],
            ["name" => "Create Meeting"],
            ["name" => "Edit Meeting"],
            ["name" => "Delete Meeting"],
            ["name" => "Manage Ticket"],
            ["name" => "Create Ticket"],
            ["name" => "Edit Ticket"],
            ["name" => "Delete Ticket"],
            ["name" => "Manage Attendance"],
            ["name" => "Create Attendance"],
            ["name" => "Edit Attendance"],
            ["name" => "Delete Attendance"],
            ["name" => "Manage TimeSheet"],
            ["name" => "Create TimeSheet"],
            ["name" => "Edit TimeSheet"],
            ["name" => "Delete TimeSheet"],
            ["name" => 'Manage Assets'],
            ["name" => 'Create Assets'],
            ["name" => 'Edit Assets'],
            ["name" => 'Delete Assets'],
            ["name" => 'Manage Document'],
            ["name" => 'Manage Employee Profile'],
            ["name" => 'Show Employee Profile'],
            ["name" => 'Manage Employee Last Login'],
            ["name" => 'Manage Indicator'],
            ["name" => 'Create Indicator'],
            ["name" => 'Edit Indicator'],
            ["name" => 'Delete Indicator'],
            ["name" => 'Show Indicator'],
            ["name" => 'Manage Appraisal'],
            ["name" => 'Create Appraisal'],
            ["name" => 'Edit Appraisal'],
            ["name" => 'Delete Appraisal'],
            ["name" => 'Show Appraisal'],
            ["name" => "Manage Goal Type"],
            ["name" => "Create Goal Type"],
            ["name" => "Edit Goal Type"],
            ["name" => "Delete Goal Type"],
            ["name" => "Manage Goal Tracking"],
            ["name" => "Create Goal Tracking"],
            ["name" => "Edit Goal Tracking"],
            ["name" => "Delete Goal Tracking"],
            ["name" => "Manage Company Policy"],
            ["name" => "Create Company Policy"],
            ["name" => "Edit Company Policy"],
            ["name" => "Delete Company Policy"],
            ["name" => "Manage Trainer"],
            ["name" => "Create Trainer"],
            ["name" => "Edit Trainer"],
            ["name" => "Delete Trainer"],
            ["name" => "Show Trainer"],
            ["name" => "Manage Training"],
            ["name" => "Create Training"],
            ["name" => "Edit Training"],
            ["name" => "Delete Training"],
            ["name" => "Show Training"],
            ["name" => "Manage Training Type"],
            ["name" => "Create Training Type"],
            ["name" => "Edit Training Type"],
            ["name" => "Delete Training Type"],
            ["name" => "Manage Holiday"],
            ["name" => "Create Holiday"],
            ["name" => "Edit Holiday"],
            ["name" => "Delete Holiday"],
            ["name" => "Manage Job Category"],
            ["name" => "Create Job Category"],
            ["name" => "Edit Job Category"],
            ["name" => "Delete Job Category"],
            ["name" => "Manage Job Stage"],
            ["name" => "Create Job Stage"],
            ["name" => "Edit Job Stage"],
            ["name" => "Delete Job Stage"],
            ["name" => "Manage Job"],
            ["name" => "Create Job"],
            ["name" => "Edit Job"],
            ["name" => "Delete Job"],
            ["name" => "Show Job"],
            ["name" => "Manage Job Application"],
            ["name" => "Create Job Application"],
            ["name" => "Edit Job Application"],
            ["name" => "Delete Job Application"],
            ["name" => "Show Job Application"],
            ["name" => "Move Job Application"],
            ["name" => "Add Job Application Note"],
            ["name" => "Delete Job Application Note"],
            ["name" => "Add Job Application Skill"],
            ["name" => "Manage Job OnBoard"],
            ["name" => "Manage Custom Question"],
            ["name" => "Create Custom Question"],
            ["name" => "Edit Custom Question"],
            ["name" => "Delete Custom Question"],
            ["name" => "Manage Interview Schedule"],
            ["name" => "Create Interview Schedule"],
            ["name" => "Edit Interview Schedule"],
            ["name" => "Delete Interview Schedule"],
            ["name" => "Manage Career"],
            ["name" => "Manage Performance Type"],
            ["name" => "Create Performance Type"],
            ["name" => "Edit Performance Type"],
            ["name" => "Delete Performance Type"],
            ["name" => "Manage Contract"],
            ["name" => "Create Contract"],
            ["name" => "Edit Contract"],
            ["name" => "Delete Contract"],
            ["name" => "Store Note"],
            ["name" => "Delete Note"],
            ["name" => "Store Comment"],
            ["name" => "Delete Comment"],
            ["name" => "Delete Attachment"],
            ["name" => "Manage Contract Type"],
            ["name" => "Create Contract Type"],
            ["name" => "Edit Contract Type"],
            ["name" => "Delete Contract Type"],
            ["name" => "Manage Zoom meeting"],
            ["name" => "Show Zoom meeting"],
            ["name" => "Manage Biometric Attendance"],
            ["name" => "Biometric Attendance Synchronize"],
        ];

        $hrRole->givePermissionTo($hrPermission);


        $hr = User::create(
            [
                'name' => 'hr',
                'email' => 'hr@example.com',
                'password' => Hash::make('1234'),
                'email_verified_at' => date("Y-m-d H:i:s"),
                'type' => 'hr',
                'lang' => 'en',
                'avatar' => '',
                'created_by' => $company->id,
            ]
        );
        $hr->assignRole($hrRole);

        //Employee
        $employeeRole       = Role::create(
            [
                'name' => 'employee',
                'created_by' => $company->id,
            ]
        );
        $employeePermission = [
            ["name" => "Manage Award"],
            ["name" => "Manage Transfer"],
            ["name" => "Manage Resignation"],
            ["name" => "Create Resignation"],
            ["name" => "Edit Resignation"],
            ["name" => "Delete Resignation"],
            ["name" => "Manage Travel"],
            ["name" => "Manage Promotion"],
            ["name" => "Manage Complaint"],
            ["name" => "Create Complaint"],
            ["name" => "Edit Complaint"],
            ["name" => "Delete Complaint"],
            ["name" => "Manage Warning"],
            ["name" => "Create Warning"],
            ["name" => "Edit Warning"],
            ["name" => "Delete Warning"],
            ["name" => "Manage Termination"],
            ["name" => "Manage Employee"],
            ["name" => "Edit Employee"],
            ["name" => "Show Employee"],
            ["name" => "Manage Allowance"],
            ["name" => "Manage Event"],
            ["name" => "Manage Announcement"],
            ["name" => "Manage Leave"],
            ["name" => "Create Leave"],
            ["name" => "Edit Leave"],
            ["name" => "Delete Leave"],
            ["name" => "Manage Meeting"],
            ["name" => "Manage Ticket"],
            ["name" => "Create Ticket"],
            ["name" => "Edit Ticket"],
            ["name" => "Delete Ticket"],
            ["name" => "Manage Language"],
            ["name" => "Manage TimeSheet"],
            ["name" => "Create TimeSheet"],
            ["name" => "Edit TimeSheet"],
            ["name" => "Delete TimeSheet"],
            ["name" => "Manage Attendance"],
            ["name" => 'Manage Document'],
            ["name" => "Manage Holiday"],
            ["name" => "Manage Career"],
            ["name" => "Manage Contract"],
            ["name" => "Store Note"],
            ["name" => "Delete Note"],
            ["name" => "Store Comment"],
            ["name" => "Delete Comment"],
            ["name" => "Delete Attachment"],
            ["name" => "Manage Zoom meeting"],
            ["name" => "Show Zoom meeting"],
        ];

        $employeeRole->givePermissionTo($employeePermission);
        GenerateOfferLetter::defaultOfferLetter();
        ExperienceCertificate::defaultExpCertificat();
        JoiningLetter::defaultJoiningLetter();
        NOC::defaultNocCertificate();
        Utility::languagecreate();
        Utility::jobStage($company->id);
        $company->defaultEmail();
        $company::userDefaultData();
        $company->userDefaultDataRegister($company->id);


        $data = [
            ['name' => 'local_storage_validation', 'value' => 'jpg,jpeg,png,xlsx,xls,csv,pdf', 'created_by' => 1, 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'wasabi_storage_validation', 'value' => 'jpg,jpeg,png,xlsx,xls,csv,pdf', 'created_by' => 1, 'created_at' => now(), 'updated_at' => now()],
            ['name' => 's3_storage_validation', 'value' => 'jpg,jpeg,png,xlsx,xls,csv,pdf', 'created_by' => 1, 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'local_storage_max_upload_size', 'value' => 2048000, 'created_by' => 1, 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'wasabi_max_upload_size', 'value' => 2048000, 'created_by' => 1, 'created_at' => now(), 'updated_at' => now()],
            ['name' => 's3_max_upload_size', 'value' => 2048000, 'created_by' => 1, 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'storage_setting', 'value' => 'local', 'created_by' => 1, 'created_at' => now(), 'updated_at' => now()]
        ];
        \DB::table('settings')->insert($data);
    }
}
